Loading...
Searching...
No Matches
peripheral::DeviceID Struct Reference

peripheral device identification More...

`import <PeripheralDeviceSlot.idl;`

## Public Attributes

string | serial
| Serial number.
sensors::Sensor TypeSpec | type
| device's type spec
boolean | isActuator
| true if device is an actuator
int | channel
| Channel number.

## Detailed Description

peripheral device identification

Definition at line 17 of file PeripheralDeviceSlot.idl.

## Member Data Documentation

## channel

int peripheral::DeviceID::channel

Channel number.

Definition at line 21 of file PeripheralDeviceSlot.idl.

## isActuator

boolean peripheral::DeviceID::isActuator

true if device is an actuator

Definition at line 20 of file PeripheralDeviceSlot.idl.

## serial

string peripheral::DeviceID::serial

Serial number.

Definition at line 18 of file PeripheralDeviceSlot.idl.

## type

sensors::Sensor TypeSpec peripheral::DeviceID::type

device's type spec

Definition at line 19 of file PeripheralDeviceSlot.idl.

The documentation for this struct was generated from the following file:

- PeripheralDeviceSlot.idl